Subject: gdu showing different sizes

From: TJ Luoma <[email-masked]>
Date: Sun, 15 Dec 2019 00:15:05 -0500

I ended up with two version of the same file
'StreamDeck-4.4.2.12189.pkg' and 'Stream_Deck_4.4.2.12189.pkg' and
wanted to check to see if they were the same file.

I checked the size with `gdu` like so:

% /usr/local/bin/gdu --si -s *pkg
101M     StreamDeck-4.4.2.12189.pkg
102M     Stream_Deck_4.4.2.12189.pkg

Which led me to think they were different files / sizes. But when I
used `ls -l` I was surprised to see this:

% command ls -l *pkg
-rw-r--r--  1 tjluoma  staff  88885047 Dec 15 00:00 StreamDeck-4.4.2.12189.pkg
-rw-r--r--@ 1 tjluoma  staff  88885047 Dec 15 00:02 Stream_Deck_4.4.2.12189.pkg

So they _are_ the same size. Are they the same file? I used `md5` to check

% command md5 -r *pkg
98ac563a36386ca3aa87f62893302b4f StreamDeck-4.4.2.12189.pkg
98ac563a36386ca3aa87f62893302b4f Stream_Deck_4.4.2.12189.pkg

OK, so these are exactly the same file. So… why did `gdu` tell me they
are different sizes?

%  gdu --version
du (GNU coreutils) 8.31
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, Paul Eggert,
and Jim Meyering.

I'm using Mac OS X 10.14.6 (18G2022) with `coreutils` installed via `brew`.

Any help would be appreciated.

Tj